Subject: Re: [PATCH] pretty-format: add append line-feed format specifier

From: Junio C Hamano <[email-masked]>
Date: Fri, 12 Sep 2014 09:36:56 -0700

Jeff King <[email-masked]> writes:

> I dunno. I wrote that original set of lua pretty-format patches to try
> to stop the insanity once and for all. But I realized that I do not
> actually want to do anything complicated with the output formats, and
> "--oneline" and a few simple "--format" calls usually are enough.

Yeah, I share that exactly, and %+ and friends are meant to be on
this side of the line between "a few simple" and "complicated".  I
was not sure which side %if() falls myself, and while I still am not
sure, if I were asked to decide which today, I would probably say it
is on the "simple" side.